CURLOPT_USERAGENT(3)

NAME
CURLOPT_USERAGENT - set HTTP user-agent header

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_USERAGENT, char *ua);

DESCRIPTION
Pass a pointer to a zero terminated string as parameter. It will be used to set the User-Agent: header in the HTTP request sent to the remote server. This can be used to fool servers or scripts. You can also set any custom header with CURLOPT_HTTPHEADER(3).

DEFAULT
NULL, no User-Agent: header is used by default.

PROTOCOLS
HTTP, HTTPS

EXAMPLE
TODO

AVAILABILITY
As long as HTTP is supported

RETURN VALUE
Returns CURLE_OK if HTTP is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_REFERER(3), CURLOPT_HTTPHEADER(3),